eID middleware |

# be.portugal.eid.PTEID_Certificate Class Reference

Class that represent one certificate. More...

Inheritance diagram for be.portugal.eid.PTEID_Certificate:

List of all members.

## Public Member Functions
synchronized void | delete ()
String | getLabel () throws java.lang.Exception
| Get the label of the certificate.
long | getID () throws java.lang.Exception
| Get the id of the certificate.
PTEID_CertifStatus | getStatus () throws java.lang.Exception
| Get the status of the certificate using the default or configured validation level.
PTEID_CertifStatus | getStatus (PTEID_ValidationLevel crl, PTEID_ValidationLevel ocsp) throws java.lang.Exception
| Get the status of the certificate.
PTEID_CertifType | getType () throws java.lang.Exception
| Get the type of the certificate.
PTEID_ByteArray | getCertData () throws java.lang.Exception
| Get the content of the certificate.
void | getFormattedData (PTEID_ByteArray data)
| Get the content of the certificate without trailing zero.
String | getSerialNumber () throws java.lang.Exception
| Get the serial number of the certificate.
String | getOwnerName () throws java.lang.Exception
| Get the name of the owner of the certificate.
String | getIssuerName () throws java.lang.Exception
| Get the name of the issuer of the certificate.
String | getValidityBegin () throws java.lang.Exception
| Get the validity begin date of the certificate.
String | getValidityEnd () throws java.lang.Exception
| Get the validity end date of the certificate.
long | getKeyLength () throws java.lang.Exception
| Get the length of public/private key on the certificate.
boolean | isRoot () throws java.lang.Exception
| Check if this is a root certificate;.
boolean | isTest ()
| Check if this is a test certificate.
boolean | isFromPteidValidChain () throws java.lang.Exception
| Return true if the certificate chain ends by the pteid root certificate.
boolean | isFromCard () throws java.lang.Exception
| Return true if this certificate comes from the card.
PTEID_Certificate | getIssuer () throws java.lang.Exception
| Get the issuer of the certificate.
long | countChildren () throws java.lang.Exception
| Get the number of children of this certificate.
PTEID_Certificate | getChildren (long ulIndex) throws java.lang.Exception
| Get a child certificate (certificate that has been issued by this one).
PTEID_Crl | getCRL () throws java.lang.Exception
| Get the crl of the certificate;.
PTEID_OcspResponse | getOcspResponse () throws java.lang.Exception
| Return the ocsp response object of the certificate;.
PTEID_CertifStatus | verifyCRL (boolean forceDownload) throws java.lang.Exception
| Verify the certificate trough CRL validation.
PTEID_CertifStatus | verifyCRL () throws java.lang.Exception
| Verify the certificate trough CRL validation (uses the CRL cache if possible).
PTEID_CertifStatus | verifyOCSP () throws java.lang.Exception
| Verify the certificate trough OCSP validation.
## Protected Member Functions
| PTEID_Certificate (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Certificate obj)

## Detailed Description

Class that represent one certificate.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Certificate.PTEID_Certificate | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

Referenced by be.portugal.eid.PTEID_Certificate.getChildren(), and be.portugal.eid.PTEID_Certificate.getIssuer().

## Member Function Documentation

long be.portugal.eid.PTEID_Certificate.countChildren | ( |  | ) | throws java.lang.Exception

Get the number of children of this certificate.

synchronized void be.portugal.eid.PTEID_Certificate.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Crypto.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Certificate.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Crypto.

PTEID_ByteArray be.portugal.eid.PTEID_Certificate.getCertData | ( |  | ) | throws java.lang.Exception

Get the content of the certificate.

PTEID_Certificate be.portugal.eid.PTEID_Certificate.getChildren | ( | long | ulIndex | ) | throws java.lang.Exception

Get a child certificate (certificate that has been issued by this one).

Parameters:

  | ulIndex | is the child index (first child is 0). Throws PTEID_ExParamRange exception if the index is out of range

References be.portugal.eid.PTEID_Certificate.PTEID_Certificate().

static long be.portugal.eid.PTEID_Certificate.getCPtr | ( | PTEID_Certificate | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Certificate.swigCPtr.

PTEID_Crl be.portugal.eid.PTEID_Certificate.getCRL | ( |  | ) | throws java.lang.Exception

Get the crl of the certificate;.

void be.portugal.eid.PTEID_Certificate.getFormattedData | ( | PTEID_ByteArray | data | ) |

Get the content of the certificate without trailing zero.

long be.portugal.eid.PTEID_Certificate.getID | ( |  | ) | throws java.lang.Exception

Get the id of the certificate.

PTEID_Certificate be.portugal.eid.PTEID_Certificate.getIssuer | ( |  | ) | throws java.lang.Exception

Get the issuer of the certificate.

If there is no issuer (root), PTEID_ExCertNoIssuer exception is thrown

References be.portugal.eid.PTEID_Certificate.PTEID_Certificate().

String be.portugal.eid.PTEID_Certificate.getIssuerName | ( |  | ) | throws java.lang.Exception

Get the name of the issuer of the certificate.

long be.portugal.eid.PTEID_Certificate.getKeyLength | ( |  | ) | throws java.lang.Exception

Get the length of public/private key on the certificate.

String be.portugal.eid.PTEID_Certificate.getLabel | ( |  | ) | throws java.lang.Exception

Get the label of the certificate.

PTEID_OcspResponse be.portugal.eid.PTEID_Certificate.getOcspResponse | ( |  | ) | throws java.lang.Exception

Return the ocsp response object of the certificate;.

String be.portugal.eid.PTEID_Certificate.getOwnerName | ( |  | ) | throws java.lang.Exception

Get the name of the owner of the certificate.

String be.portugal.eid.PTEID_Certificate.getSerialNumber | ( |  | ) | throws java.lang.Exception

Get the serial number of the certificate.

PTEID_CertifStatus be.portugal.eid.PTEID_Certificate.getStatus | ( | PTEID_ValidationLevel | crl,
|  | PTEID_ValidationLevel | ocsp |
| ) |  |  | throws java.lang.Exception

Get the status of the certificate.

Parameters:

  | crl | CRL validation level

See also:
  PTEID_ValidationLevel

Parameters:

  | ocsp | OCSP validation level

See also:
  PTEID_ValidationLevel

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

PTEID_CertifStatus be.portugal.eid.PTEID_Certificate.getStatus | ( |  | ) | throws java.lang.Exception

Get the status of the certificate using the default or configured validation level.

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

PTEID_CertifType be.portugal.eid.PTEID_Certificate.getType | ( |  | ) | throws java.lang.Exception

Get the type of the certificate.

References be.portugal.eid.PTEID_CertifType.swigToEnum().

String be.portugal.eid.PTEID_Certificate.getValidityBegin | ( |  | ) | throws java.lang.Exception

Get the validity begin date of the certificate.

String be.portugal.eid.PTEID_Certificate.getValidityEnd | ( |  | ) | throws java.lang.Exception

Get the validity end date of the certificate.

boolean be.portugal.eid.PTEID_Certificate.isFromPteidValidChain | ( |  | ) | throws java.lang.Exception

Return true if the certificate chain ends by the pteid root certificate.

boolean be.portugal.eid.PTEID_Certificate.isFromCard | ( |  | ) | throws java.lang.Exception

Return true if this certificate comes from the card.

boolean be.portugal.eid.PTEID_Certificate.isRoot | ( |  | ) | throws java.lang.Exception

Check if this is a root certificate;.

boolean be.portugal.eid.PTEID_Certificate.isTest | ( |  | ) |

Check if this is a test certificate.

Returns:
  true if this is test certificate

PTEID_CertifStatus be.portugal.eid.PTEID_Certificate.verifyCRL | ( |  | ) | throws java.lang.Exception

Verify the certificate trough CRL validation (uses the CRL cache if possible).

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

PTEID_CertifStatus be.portugal.eid.PTEID_Certificate.verifyCRL | ( | boolean | forceDownload | ) | throws java.lang.Exception

Verify the certificate trough CRL validation.

Parameters:

  | forceDownload | if true will force a new download of the CRL, otherwise use the CRL cache

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

PTEID_CertifStatus be.portugal.eid.PTEID_Certificate.verifyOCSP | ( |  | ) | throws java.lang.Exception

Verify the certificate trough OCSP validation.

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().